%define	name	gcombust
%define	version	0.1.49
%define	release	1
%define	serial	1
%define	prefix	/usr

Summary:	gcombust is a GTK+ frontend for mksisofs and cdrecord.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Archiving
URL:		http://www.iki.fi/jmunsin/gcombust
Vendor:		Jonas Munsin <jmunsin@iki.fi>
Source:		%{name}-%{version}.tar.gz
Requires:	gtk+ >= 1.2.0, cdrecord >= 1.10, mkisofs >= 1.10, cdlabelgen >= 1.5.0
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
gcombust is a gui for mkisofs and cdrecord Linux. It's written
in C and it uses the GTK+ widget set (currently it's been tested
and used only on Linux and X-Windows). gcombust is work in progress,
the current (development) release is to be considered beta software.
That means it hasn't been tested very well and that some parts of
the code isn't written.

%prep
%setup -q

%build
export CFLAGS="${RPM_OPT_FLAGS}";
./configure --prefix=%{prefix}
make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/bin \
	 ${RPM_BUILD_ROOT}%{prefix}/share/pixmaps
make prefix=${RPM_BUILD_ROOT}%{prefix} install-strip
install -m644 %{name}.xpm ${RPM_BUILD_ROOT}%{prefix}/share/pixmaps

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* THANKS
%{prefix}/bin/gcombust
%{prefix}/share/locale/*/LC_MESSAGES/gcombust.mo
%{prefix}/share/pixmaps/gcombust.xpm

%changelog
* Thu Feb 21 2002 Ryan Weaver <ryanw@falsehope.com>
  [gcombust-0.1.49-1]
- removed the explicit choice between mkhybrid and mkisofs, as it has
  been pointless for the last year or so (btw, the HFS support should
  probably be improved on, but I don't use it => I don't know how to
  improve it)
- continued on improving the mkisofs error reporting
- started to improve error reporting in general
- some other minor mostly cosmetic code cleanups
- the verify process produced diff zombies, fixed
- small codecleanup in config options, based on patch by Tlailax
  <tlailax@netvision.net.il>
- de.po update (Goetz Waschk <waschk@informatik.uni-rostock.de>)
- sk.po update ("Milan Plzik" <mplzik@post.sk>)
- if the image won't fit in the selected image size it is marked by
  changing the color of the text in the size button to red
- config option for showing "Operation finnished" popup (Tlailax
  <tlailax@netvision.net.il>)

  [gcombust-0.1.48-1]
- updated the included FAQ.shtml a bit
- when run first time; if lpr isn't found, try lp (David Kaelbling
  <drk@sgi.com>)
- improved error reporting from mkisofs a little bit
- added a kludge to fix the autoscrolling for the cdrecord output
  and cdparanoia output (other places might benefit from the same
  kludge)
- fixed a few cdparanoia progress text bugs, reduced the text that is
  printed in the output textbix
- updated README.hp-ux.html ("Gansser, Martin" <MGansser@rand.de>),
- added "Disable fixate" option
- Slovak translation by Milan Plzik <mplzik@post.sk>

* Fri Nov  2 2001 Ryan Weaver <ryanw@falsehope.com>
  [gcombust-0.1.47-1]
- pressing the close button in the dump CD window would crash (Emil
  Brink <emil@obsession.se>)
- updated README.hp-ux.html ("Gansser, Martin" <MGansser@rand.de>),
  now also covers hp-ux 11.00
- es.po update (gorka@escomposlinux.org (Gorka Olaizola)) (because
  of my slow release pace, "Quique" <quique@sindominio.net> also sent
  in an es.po update - sorry about causing duplicate work!)
- ru.po update (Vladimir Bormotov <bor@vb.dn.ua>)
- fixed an small bug regarding color handling

* Tue Aug  7 2001 Ryan Weaver <ryanw@falsehope.com>
  [gcombust-0.1.46-1]
- updated hp-ux compile instructions by Martin Gansser <MGansser@rand.de>
- updated hu.po by Zkny Gergely <narancs@narancs.tii.matav.hu>
- updated ro.po by Vladimir Bormotov <bor@vb.dn.ua>
- dump CD improvments and other minor cleanups in other places by
  Emil Brink <emil.brink@interactiveinstitute.se>
- ctrl-a, ctrl-shift-a and del keys now works in the data cd view
  by Emil Brink <emil.brink@interactiveinstitute.se>
- the burning speed selector is now implemented as a spin button

* Thu Jun  7 2001 Ryan Weaver <ryanw@falsehope.com>
  [gcombust-0.1.45-1]
- the autoconf/gettext build stuff hopefully works on platforms without
  gettext installed again
- the autoconf problems in 0.1.44 may have mangled some of the .po files,
  so translators, please check that your .po file is ok
- updated da.po by Morten Bo Johansen <mojo@image.dk>
- updated nl.po by Vincent van Adrighem <Vincent@dirck.mine.nu>
- fixed a bug with get size and the prefs introduced in 0.1.44
- fixed a longstanding bug occuring when closing the prefs window after
  a burn/image creation
- small documentation fixes
- added prefs button for Burnproof
- added scrollbars for the main window (they shouldn't be visible unless
  you resize the window) since gcombust has slowly grown to take up quite
  a lot of screen estate which causes trouble for people using it in low
  resolutions

  [gcombust-0.1.44-1]
- updated README.hp-ux.html by "Gansser, Martin" <MGansser@rand.de>
- updated hu.po by Zkny Gergely <narancs@helka.tii.matav.hu>
- the "Done in: " time estimate was usually way off for the first couple
  of samples, it now tries to correct/hide this
- DnD fixes (used to only implement a workaround for buggy gnome, now it
  also works with specs compliant kde), ie, should now work with both gmc
  and konqueror.
- Croatian translation (hr.po) by Vlatko Koturjak <kost@iname.com>,
  Draen imoti <jimbosimo@yahoo.com> and Ante Karamati <ivoks@grad.hr>
- Dutch translation (nl.po) by Vincent van Adrighem <Vincent@dirck.mine.nu>
- added a prefs button for the "get size" checkbox
- added 16 speed option
- added option to beep when opertions are done
- something strange happened to the autoconf scripts in this released (I
  think autoconf on my devel system got updated). Please tell me if there
  is any problems compiling it.

* Tue Mar 20 2001 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.43-1]
- gcombust now uses "--" to seperate options from arguments when calling
  mkisofs. This allows for filenames to start with the - character.
  Unfortunately all mkisofs versions prior to the one in 1.10a16
  has a bug causing the -- usage to break utterly. In other words, you
  absolutely MUST use a recent mkisofs with this version of gcombust.
- da.po update by Morten Bo Johansen <mojo@image.dk>
- Galician translation by Xon Pedracova Varela <xpedra@wanadoo.es>

* Tue Feb 26 2001 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.42-1]
- turned on a few compiler warnings and found at least one real
  signed/unsigned bug
- cdparanoia improvments; better progressinfo and radiobuttons for
  choosing between cdparanoia/cdda2wav, by Kay Lehmann
  <kaymiehb@calvados.zrz.TU-Berlin.DE>
- fixed a bug occuring when ripping and "Progressbar has own window"
  was disabled (reported by Kay Lehmann)
- autoscrolling didn't always scroll all the way down in the cdrecord
  output, fixed
- ja.po update (TAHARA Yuusuke <tahara@gnome.gr.jp>)
- the audio view now also shows total time (based on a patch by
  Tim Gerla <timg@rrv.net>)

* Tue Jan  9 2001 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.41-1]
- Updated da.po (Morten Bo Johansen <mojo@image.dk>)
- a few spelling fixes (Morten Bo Johansen <mojo@image.dk>)
- made the "custom cdrecord switches" look a bit clearer
- added a "Del all" button in the audio files toolbar

  [gcombust-0.1.40-1]
- Updated da.po (Morten Bo Johansen <mojo@image.dk>)
- Updated README.irix ("C.Fanin" <claudio.fanin@pd.infn.it>)
- Updated README.hp-ux.html ("Gansser, Martin" <MGansser@rand.de>)
- Cleaned up a gtk version related compile time #if clause
- fixed a segfault with "Delete pattern" in the Data Files tab
- It is now possible to specify additional switches for mkisofs/cdrecord.
  See the tooltips for more info. Not tested very much, YMMV.
- added Gnome desktop entry (the gcombust.xpm is now also installed),
  by Austin <meneldil@hobbiton.org>

* Tue Dec 26 2000 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.39-1]
- Danish translation by Morten Bo Johansen <mojo@image.dk>
- a lot of spelling corrections, most done by Morten, except the ones I
  got wrong on my own ;)
- the file checks added in 0.1.37 broke gv previewing of cd labels
- a gtk_main_iteration call caused a strange bug with the size
  calculation widgets. removed it.
- ripping of audio cds with cdparanoia, patch by Kay Lehmann
  <kaymiehb@calvados.zrz.TU-Berlin.DE>, atm this is only implemented for
  the "Dump CD", not for on-the-fly burning, and it could still need some
  pollishing (e.g. no progress is reported)

* Fri Nov 17 2000 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.38-1]
- hu.po update (Narancs 1 <narancs1@externet.hu>)
- corrected the tooltip for the bootfile/catalog, hopefully it's a
  bit clearer and more correct now
- switches from burn-tab to output-tab also when blanking cd-rws
- when burning more than one audio cd, a variable wasn't initialized,
  causing the progressabar to malfunction
- building gcombust on machines without gettext when the .gmo files need
  to be rebuild should now work without specifying --disable-nls, it seems
  like autoconf is broken. I'm not sure this is a 100% correct fix, but
  all other packages I looked at were broken, too, and this works

  [gcombust-0.1.37-1]
- blanking a cd-rw would leave the tabs disabled (fix by Tanel Kuusk
  <tanel@urania.ee>)
- switches from burn-tab to output-tab again when starting an action
- now checks for existence of files before trying to execute them
- Italian translation by Simo Sorce <simo.sorce@tiscalinet.it>
- replaced README.compile.hp-ux with README.hp-ux.html written by
  "Gansser, Martin" <MGansser@rand.de>

* Mon Oct 23 2000 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.36-1]
- fr.po update (Thibaut Cousin <cousin@in2p3.fr>)
- de.po update (Roland Rosenfeld <roland@spinnaker.de>)
- ru.po update (Vladimir Bormotov <bor@vb.dn.ua>)
- disables the tabs in the code sections gtk_main_iteration() is called,
  just to be on the safe side (please tell me if there are situations
  when gcombust leaves the tabs disabled when it shouldn't)
- now compiles on Linux 2.0.x kernels again
- replaced two instances of tmpnam with mkstemp
- there was a small bug in the multisession button/prefs logic
- added config option for lpr path

  [gcombust-0.1.35-1]
- hu.po update (narancs1@externet.hu)
- es.po update (Gorka Olaizola <olsago@jet.es>)
- added some checks that make sure the supplied image name is really a
  image and not just a directory as it seems to confuse people...
- file selection loading for renamed files now works
- CFLAGS was ignored by the generated src/Makefile. "oops."
- added a few gtk_main_iteration() calls - I tried with this back in 0.1.14,
  but I did it wrong (although Miroslav Vasko told me how to do it right!)
  it should work better now - note that this is only good for getting screen
  updates, if you start doing a lot of stuff gcombust will brake, so I'll
  remove this feature if it turns out to be a problem...
- config option for multisession and multisession path by Sacha Arnoud
  <Sacha.Arnoud@france.sun.com>)
- test of multisesssion cd validity (based on a patch by Sacha Arnoud
  <Sacha.Arnoud@france.sun.com>) (atm Linux specific), can be turned off
  with a config option
- Added eject/close cd-r to the File menu (based on a patch by Hayden James
  <hjames@stevens-tech.edu>)
- added a driveropts=burnproofs option
- added support for cdrecord's -waiti option, thus enabeling the making
  of all sessions on a multisession cd on-the-fly

* Thu Jun 13 2000 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.34-1]
- fixed a small bug causing gtk warnings on errors dumping a data cd
- removed some warnings about multisession bugs in mkisofs, it seems
  like most are fixed nowadays
- mkisofs seems to work with bootable cd:s using graft-pointers nowadays,
  changed to using that
- removed an extra dir used to work around a bug in old versions of mkisofs
- README.compile.hp-ux from "Gansser, Martin" <MGansser@rand.de>
- added a feature displaying verbose info about a data cd (suggested by
  John L. Males <software_iq@TheOffice.net>) (using Joerg Schillings routine)
- made it possible to specify the "-data" option when making multisession cds
- changed to the new graft-pointer format in mkisofs (available since
  cdrtools 1.9a03) - this means gcombust needs mkisofs from at least this
  version ofcdrtools!
- added possability to rename files
- added a busy pointer to some operations, give suggestion if it should appear
  anywhere else, too (suggested by Rasca <thron@gmx.de>)
- CDplus support, patch by Uwe Koloska <koloska@Rcs1.urz.tu-dresden.de>

* Fri Jun  2 2000 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.33-1]
- fixed bug in sv.po causing segfault when the Swedish translation
  was used (Mikael Hermansson <mikeh@bahnhof.se>)
- small code cleanup (Mikael Hermansson <mikeh@bahnhof.se>)
- hu.po update (narancs1@externet.hu)
- russian translation by Vladimir Bormotov <bor@vb.dn.ua>
- added 10 speed option
- added prefs option for the cdda (audio cdrom) device and for
  the "Existing ISO" device

* Mon May 15 2000 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.32-1]
- ja.po update (Yuusuke Tahara <tahara@gehenna.u-aizu.ac.jp>)
- fr.po update (Thibaut Cousin <cousin@in2p3.fr>)
- ko.po update (Man-Yong Lee <manyong@gnu.org>)
- audio total size wasn't reset when loading a selection
  (reported by nvignot <nvignot@online.fr>)
- duh, forget to raise the max file limit. really raised it this
  time (thanks to Goetz Waschk <waschk@informatik.uni-rostock.de>)
- compability fix for obsolete "Include all" option, reported by
  many people

* Wed Apr  5 2000 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.31-1]
- Allow untranslated filenames/Bootable CD mixup fixed
  (reported by sguarin@fi.uba.ar)
- ja.po update (Yuusuke Tahara <tahara@gehenna.u-aizu.ac.jp>)
- hu.po update (narancs1@mail.externet.hu)
- fixed an untranslated string
- a little more info on multisession status from
  "Inguva V.R.Sivakumar" <siva@jncasr.ac.in> included, see README.ms
- "100 dirs should be enough for everyone" didn't cut it, trying with
  1000 instead (number of files/dirs that can be mastered)
  (reported by Henrik Schmidt <hbs@ks.informatik.uni-kiel.de>)
- added noinst_HEADERS in src/Makefile.am
- audio DnD fix (maybe)
- the file selector is opened at the path it was last used
- a config option for the dir where file selections are stored
- added debian/ dir to EXTRA_DIST
- added 12 speed option

* Tue Feb 22 2000 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.30-1]
- a few files where missing from POTFILES.in, causing some strings
  not to get translated
- updated hu.po (narancs1@mail.externet.hu)

  [gcombust-0.1.29-1]
- de.po update (Juergen Lock <nox@jelal.kn-bremen.de>) (Juergen also
  provided a detailed bugreport which was very useful, thanks)
- the size of the old session in multisession mode is now taken
  into account for
- exit status of external programs reported a little bit better
  (though it could be made more finegrained), it used to always
  say "Operation finished successfully".
- hunted down a fixed a very old off-by-one bug that happened
  when exectuing commands sometimes
- noticed the output of cdrecord has changed in one place
- Hungarian translation by narancs1@mail.externet.hu
- Korean translation by Woohyun JANG <louis@mizi.co.kr>
- added -no-rr and -U options for mkisofs
- added saveable setting for fifo size

* Thu Jan 13 2000 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.28-1]
- sv.po update (Tommy Strand <gts@abc.se>)
- ja.po update (Yuusuke Tahara <m5021212@u-aizu.ac.jp>)
- small compability fix for change in cdrecord error message
- added note about multisession in the README file
- -hide-rr-moved option for mkisofs

* Mon Jan  3 2000 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.27-1]
- fixed the driver= option so that it actually works
- sv.po update (Tommy Strand <gts@abc.se>)
- a few minor compilation fixes
- alternative way to specify dev= for people who need the /dev/sga style
- added saveable settings for: eject, ISO file, WAV files

* Tue Dec 21 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.26-1]
- the gtk-1.2.5 fix caused earlier gtk versions to spit out an error
  messages
- missing tooltips & translations in the audio rip interface
- ja.po update (Yuusuke Tahara <m5021212@u-aizu.ac.jp>)
- fr.po update (Julien Brouchier <julien@ldsol.com>)
- de.po update (Juergen Lock <nox@jelal.kn-bremen.de>)
- fixed a few compiler warnings on some platforms
- widgets weren't unshaded in case of error in some places
- I think I fixed a bug where gcombust would start spitting out
  "** WARNING **: readers.c 380:" if several burns where made with the
  same gcombust session
- respects CDDA_DEVICE
- support for driver=

* Tue Sep 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.25-1]
- works with the latest "stable" release of gtk, 1.2.5 (well, as well
  as can be expected anyway, there is a tooltip bug in gtk 1.2.5 so
  it spits out warnings :\)
- de.po update (Juergen Lock <nox@jelal.kn-bremen.de>)

* Mon Sep 27 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.24-1]
- verify with include-dirname=off didn't work (reported by
  "Dipl.-Ing. Uwe Koloska" <koloska@Rcs1.urz.tu-dresden.de>)
  (discovered a few other bugs with verify at the same time)
- verify didn't lock out other operations
- snprintf->g_snprintf by Krisztian Tamas <krtom@tv2.hu>
- a bug introduced in 0.1.23 sometimes causing segfault when starting burn
- updated the README a little
- found and fixed a bug in read_into() that could cause output from
  programs to be lost sometimes
- fixed a small bug with exclude pattern
- updated ja.p (Yuusuke Tahara <m5021212@u-aizu.ac.jp>)
- audio CD -> wav files (using cdda2wav)
- audio CD -> audio CD
  (none of the audio CD features currently use the new .inf format for
  bitwise exact audio copys in cdrtools, maybe in a later version)

* Tue Sep 21 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.23-1]
- fr.po update by Julien Brouchier <julien@ldsol.com>
- no.po update by Atle Strand <atle82@online.no>
- cd2image bug with progressbar (reported by Jan Zgrebnak
  <socpdk@bb.telecom.sk>)
- updated README.irix ("Claudio Fanin" <claudio.fanin@pd.infn.it>)
- corrected the tooltip for the pad option (Miika Komu <mkomu@cc.hut.fi>)
- finds path to support programs by itself the first time it's started
  (patch by Julien Brouchier <julien@ldsol.com>)

* Thu Sep  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.22-1]
- updated Japanese, French and German translation.

* Tue Sep  7 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.21-1]
- BUGFIXES:
- it leaked a file descriptors or two for every operation (size check,
  etc), fixed it - reported by Steve Govenar <govenar@uiuc.edu>
- "Operation finished" window would get stuck sometimes (reported by
  Wolfgang Rohdewald <WRohdewald@online-club.de>)
- progress counters were not reset between burns (reported by
  Wolfgang Rohdewald <WRohdewald@online-club.de>)
- de.po update (Juergen Lock <nox@jelal.kn-bremen.de>)
- no.po update (Atle S <atle82@online.no>)
- ja.po update (Yuusuke Tahara <m5021212@u-aizu.ac.jp>)
- i18n the last few strings in the progressbar window - I think I
  understood how to use gettext with static initializers, but I'm
  not 100% sure
- typo fixes in various error messages, a few tooltips clarifications

- NEWS:
- changed selection mode to extended (ie you can now "paint" the files
  you want to add), useful when adding lots of files. this of course
  makes it harder to select a smaller set of non-continues files.
  choices, choices.
- cd-to-image copy (isosize.c and iso9660.h borrowed from the cdrecord
  package by J. Schilling)
  . some (all?) scsi burners used with the scsi emulation layer
    doesn't work with this
  . for every error encountered it retries 20 times before giving up
- french translation by Julien Brouchier <mystic@pipo.com> (also by
  Thibaut <thibaut.cousin@libertysurf.fr>, but Julien asked first)

* Fri Aug 17 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.20-1]
- Fixed a small bug in sanity checking, causing a crash if
  you tried to add a non-existing root directory (ie /asdfsdf)
  to the data source filelist
- updated de.po + a few FreeBSD pathches (for text in tooltips)
  Juergen Lock <nox@jelal.kn-bremen.de>

- Norwegian translation by "Atle Strand" <atlestrand@hotmail.com>
- save setting fore dummy run
- added verify operation:
  . uses GNU diff (most diff variants should be ok; it needs to
    support -r (recursive) and --brief option and report missing
    files as "Only in <path> to avoid false alarms)
  . it's a simple sollution and could be implemented better without
    using diff - but it gets the job done although it's very
    slow; you are free to submit patches :>
  . the only thing the progressbar shows is that something is
    happening

* Wed Aug  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.19-1]
- Version 0.1.19 Aug 03 1999
- a few more strings gettextizied, updated German .po file
- should compile on IRIX, too, since 0.1.18
- mkhybrid can't do < 800 kb HFS volumes, added a check
  (Allan Hsu <animate2@underworld.net>)
- small cdlabelgen changes, ok defaults and type fixes
  (Daniel Serodio <dserodio@email.com>)
- made the image source interface more obvious (suggested by
  Paul Barton-Davis <pbd@op.net>)
- Swedish .po file (Tommy Strand <gts@abc.se>)
- Japanese .po file (Daisuke Yabuki <dxy@optix.org>)
- netatalk option for mkhybrid (just mail me if you need more
  mkhybrid options, I don't know which ones are useful)
- added a cleat button for the output textboxes
- cleaned up save settings, added device, speed & swab
- support for the new options in cdlabelgen 1.5 (wordwrap and
  supression on plaque)
- "disable dirnames" option by Koaunghi Un
  <koaunghi.un@student.uni-tuebingen.de>

* Thu Jul  1 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.18-1]
- Version 0.1.18 Jun 30 1999
- various smaller bugfixes (a couple of wrong widget text/tootips,
  segfault with prefs window and attempting to make empty audio cds)
- added -q option to mkisofs when getting size of something - speeds up
  all those operations a bit
- "Done in:" wasn't keeping track of how much had been written totaly when
  making audio CDs
- bootable cd creation didn't work (Juergen Lock <nox@jelal.kn-bremen.de>)
- fixed mixup of bus & channel in autodetection
- tweaked autoconf scripts a bit
- more checks against user errors
- added -print-size/-tsize for burning on the fly in DAO mode
  or for drives requiering it (like some TEAC drives)
- "Detect scsi drive" now also detects if -swab option is needed
- now it's possible to choose multiple files/dirs at once in the
  file selectors
- German .po translation by Juergen Lock <nox@jelal.kn-bremen.de>
- added icon by chris scheidecker <scheides@theinferno.hextrack.com>

* Tue Jun 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.17-1]
- Version 0.1.17 Jun 22 1999
- removed the gtk_main_iteration() calls added in 0.1.14, they
  slowed things down too much
- improved DnD support
- added a few error warning dialogs
- cd-to-cd copy didn't work since the 0.1.15 changes, fixed
  (reported by Andy Zeneski <jaz@zsolv.com>)
- forgot to wait for pids since 0.1.15 changes -> zombies
  (ULISES ALONSO CAMARO <ualonso@slabii.eleinf.uv.es>)

* Mon Jun 21 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.16-1]
- Version 0.1.16 Jun 20 1999
- BUGFIXES:
- now refuses to add a path twice to the iso file-list
- gettext compile fix for systems building intl/libintl.a (BSD)
  (by Hubert Feyrer <feyrer@rfhs8012.fh-regensburg.de>)
- mkisofs command generated -T instead of -L
- NEWS:
- multisession support (not very well tested):
  - if you leave the "Path to old session" field empty, gcombust
    will asume this is the first session
  - if you press the recalc button in multisession mode, it will
    take into account the old session - this operation takes quite
    some time! (and I don't know if you can trust the result)
  - multisession doesn't seem to mix with Joliet (I get "Joliet
    tree sort failed." from mkisofs), so disable it if you get
    problems.
  - the current mkisofs version has a bug you might run into when
    making sessions (for all but the first session), so if mkisofs
    segfaults on you for no apparant reason, wait for the next
    release of cdrecord (or mail me for a patch)
  - you cannot make multisession CD's on the fly (except for the
    first session)

* Wed Jun 16 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.15-1]
- Version 0.1.15 Jun 16 1999
- BUGFIXES:
- fixed a bug with the cdlabelgen interface and Date
- fixed a bug making delete-audio-track not updating the
  size shown on screen (patch by <wasp@linuxfreak.com>)
- started on improving error handling and prevention (a few
  dialogs, some buttons unsensitive when they can't be used, etc)
- slight re-refix (gah!) of freeze/thaw and autoscroll (it was causing
  a crash under some circumstances, maybe an GTK+ bug)
- lazy use of execl() made gcombust not able to handle files with
  ' and other special charachters, replaced with execv() - resulted
  in a lot of internal changes, tons of bugs were probably
  introduced - treat it with respect!!! the cdlabel interface still
  does it the "lazy" way, should probably be fixed someday
- NEWS:
- disable widgets while executing a make image/burn operation
  (patch by MikeH <mikeh@bahnhof.se>)
- progress win hasn't necessarily a window of its own anymore
  (loosely based on patch by MikeH)
- started on preferences (paths, tooltips, progresswin)
- added a reset drive button
- DnD support for data & audio (still a bit messy - some
  gtk issues are unclear to me, but it seems to work ok)

* Tue Jun  1 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.14-1]
- Version 0.1.14 May 31 1999
- BUGFIXES:
- added a couple of gtk_main_iteration() calls to redraw the window
  when doing costly operations, suggested by Miroslav Vasko
  <mvasko@isternet.sk>
- slight refix of freeze/thaw and autoscroll
- NEWS:
- gettext/NLS support, I might have generated some autoconf<->gettext
  errors though, you tell me (I started on a Swedish translation just
  to test it, feel free to take over it :), es.po by "Toms V.V.Cox"
  <Cox@idecnet.com> included).
- autodetection of scsi devices, based on patch by blackburnm
  <blackburnm@mindspring.com>
- "Done in:" in progressbar

* Wed May 19 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.13-1]
- Version 0.1.13 May 17 1999
- BUGFIXES:
- clists don't have scrollbars automagically in gtk 1.2, fixed
- the attempted autoresize of scrollbars was wicked, replaced it
  with gtk's own autoresize (which is just slightly less wicked)
- the output textfields got freeze/thawed even when no text was
  added, causing ugly flickering, fixed
- NEWS:
- support for -atip (requires cdrecord 1.8a22) and user specified
  size in binpacking algoritm
- support for cd-to-cd data copy
- autoscroll output textfields

* Wed May 12 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.12-1]
- Version 0.1.12 May 12 1999
- now adds '' around audio files too (broke on filenames with spaces etc. before)
  note that the command generating is still buggy by design, it will brake on
  filenames containing ' and other special characters
- suport for fs= option (and CDR_FIFOSIZE)

* Mon Mar 29 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.11-1]
- Version 0.1.11 Mar 29 1999
- BUGFIXES:
- cd-rw info progressbar should print some more info now :)
  (untested, please send me some output from a cdrecord blank=...
  session if I didn't get it right this time either)
- NEWS:
- support for making bootable cds - it's maybe a bit clumsy though
- now requires gtk 1.2.x
- now requires cdlabelgen 1.1.3 (WYSIWYG attempt dumped in favor for
  more intelligent cdlabelgen :)
- small code reorganization and it doesn't build with gcc -g as default
  anymore (still a good idea to strip it though)
- load/save image/audio selections (audio selections only works with
  pure audio cd selections)

* Mon Mar 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.10-1]
- Version 0.1.10 Mar 19 1999
- BUGFIXES:
- now compiles with gtk 1.2.0 again, if you have gtk 1.2.0
  change the GCOM_GTK_VER in src/globals.h to 12 (default is
  gtk 1.0.x, with GCOM_GTK_VER set to 10) - gtk 1.0.x support
  will be dropped soon, I'm getting sick of testing against two
  different versions for every release

- Version 0.1.9 Mar 19 1999
- BUGFIXES:
- CDR_DEVICE=1,0 works
- added lot's of error checks in contractions.c
- small g_list bug fixed (hopefully)
- quotes volume IDs
- contractions.c: iso<->cdr close-mixup in p_open_r_err_in
- NEWS:
- prints out all unprocessed output from mkisofs/cdrecord
  to textboxes, added MB burned + fifo label
- blank=... for cd-rw (untested as I don't have a cd-rw drive)
- started on the menus
- printing labels using cdlabelgen 0.70
  (http://www.red-bean.com/~bwf/software/cdlabelgen/)
  the printwindow tries to match (WYSIWYG) what cdlabelgen can handle

* Mon Mar  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.8-1]
- Version 0.1.8 Mar 08 1999
- BUGFIXES:
- some systems had compilation problems (basename missing, and
  swab nameclash)
- fixed execl() problem that made gcombust quite useless on
  some systems (rh 5.1?)

* Thu Mar  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.7-1]
- Version 0.1.7 Mar 04 1999
- BUGFIXES:
- dao could only be used with audio cds
- try harder option would produce negative values sometimes
- NEWS:
- remade audio cd creation interface

* Fri Feb 26 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.6-1]
- Version 0.1.6 Feb 26 1999
- forgot to make cdrecord parsing and info window routines aware of audio cds
  in yesterdays release, fixed that
- added -swab and -dao option
- added (un)select all

* Thu Feb 25 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.5-1]
- Version 0.1.5 Feb 25 1999
- added option to make audio (CD-DA) or mixed mode cds
- fixed small bug leaving progresswindow open when trying to run cdrecord
  without root access and not using any image
- fixed gtk1.1.x problems

- Version 0.1.4 Feb 24 1999
- small layout changes to start burning button and stop button, added 6x button
- added a "try harder" option to the bin packing algoritm
- removed some unused code
- fixed a small bug that could crash gcombust if you had several
  "abort?" windows open

* Tue Feb 23 1999 Ryan Weaver <ryanw@infohwy.com>
  [gcombust-0.1.3-1]
- Initial RPM build.
